> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the beneficiaries created by a mass beneficiary

Retrieve the beneficiaries successfully created in a mass beneficiary instruction

> [!WARNING]
>
> Please note that if the mass beneficiary status is `pending` then an empty list will be returned.


## OpenAPI

````yaml /openapi/ebury-api-public.json get /mass-beneficiaries/{mass_beneficiary_id}/beneficiaries
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /mass-beneficiaries/{mass_beneficiary_id}/beneficiaries:
    get:
      tags:
        - Mass Beneficiaries
      summary: Retrieve the beneficiaries created by a mass beneficiary
      description: >-
        Retrieve the beneficiaries successfully created in a mass beneficiary
        instruction
      parameters:
        - $ref: '#/components/parameters/MassBeneficiaryId'
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/Authorization'
        - description: The desired page number for pagination. By default is 1.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
        - description: The number of items per page for pagination. By default is 50.
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of created beneficiaries
          headers:
            x-total-count:
              description: Total number of created beneficiaries available
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BeneficiaryCreated'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Mass beneficiary or client not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    MassBeneficiaryId:
      description: The ID of the mass beneficiary.
      in: path
      name: mass_beneficiary_id
      required: true
      schema:
        type: string
        format: uuid
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  schemas:
    BeneficiaryCreated:
      description: A beneficiary successfully created in a mass beneficiary instruction.
      type: object
      properties:
        request_index:
          description: >-
            The original position of the beneficiary in the submission. It
            starts at 0.
          type: integer
        beneficiary_id:
          description: The ID of the created beneficiary.
          type: string
        links:
          $ref: '#/components/schemas/BeneficiaryCreatedLinks'
      required:
        - request_index
        - beneficiary_id
        - links
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    BeneficiaryCreatedLinks:
      description: Links for the created beneficiary.
      type: object
      properties:
        beneficiary_href:
          description: >-
            The link to the single beneficiary endpoint
            `/beneficiaries/{beneficiary_id}`.
          type: string
  responses:
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'

````